List documents (Legacy)
curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/documents \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/documents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"document_url": "<string>",
"document_url_expires_at": "2023-11-07T05:31:56Z",
"document_page_count": 2,
"expiration_hours": 168,
"settings": {
"allow_download": true,
"attach_pdf_on_finish": true,
"allow_editing_before_sending": false,
"send_signing_email": true,
"send_finish_email": true,
"send_expiration_email": true,
"send_cancellation_email": true
},
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date_created": "2023-11-07T05:31:56Z",
"date_sent": "2023-11-07T05:31:56Z",
"date_finished": "2023-11-07T05:31:56Z",
"date_cancelled": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"certificate": {
"generated": true,
"generated_on": "2023-11-07T05:31:56Z",
"has_error": true
},
"final_document_download_url": "<string>"
}
],
"pagination": {
"current_page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
}
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}Legacy
List documents legacy
deprecated
GET
/
documents
List documents (Legacy)
Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Query Parameters
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Was this page helpful?
⌘I